"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Utility for ignoring certain errors and returning a default value.
 *
 * @param errorClasses
 */
function ignore() {
    var errorClasses = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        errorClasses[_i] = arguments[_i];
    }
    return function createIgnoreFn(valToReturnOnCatch) {
        return function ignoreImpl(err) {
            if (errorClasses.some(function (C) { return err instanceof C; })) {
                return valToReturnOnCatch;
            }
            throw err;
        };
    };
}
exports.ignore = ignore;
//# sourceMappingURL=ignore.js.map